$(function(){
	$(".div_checkbox").multiCheckbox();
})
/**
 * @author kszafranek
 */
$.fn.multiCheckbox = function(){
	var state_unchecked = 0,
		state_checked = 1,
		state_middle = 2;
	var class_checked = 'checked',
		class_unchecked = 'unchecked',
		class_middle = 'middle';
	var state_map = {};
	
	
	state_map[state_unchecked] = class_unchecked;
	state_map[state_checked] = class_checked;
	state_map[state_middle] = class_middle;
	
	
	var current_state = $(this).attr('state') | state_unchecked;
	$(this).removeClass(class_checked).removeClass(class_unchecked).removeClass(class_middle)
			.addClass(state_map[current_state]);

	$(this).live('click', function() {
		var has_multi = $(this).attr('has_multi') | 0;
		
		var current_state = $(this).attr('state');
		var state = (current_state - 1) % 3;
		if(state < 0) {
			state = 2;
		}
		if(has_multi == 0 && state == 2) {
			state = 1;
		}
		$(this).attr('state', state );
		
		current_state = state
		$(this).removeClass(class_checked).removeClass(class_unchecked).removeClass(class_middle)
		.addClass(state_map[current_state]);
	})
}